Subject: bug#1077: 23.0.60;x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: "Drew Adams" <[email-masked]>
Date: Sat, 22 Nov 2008 08:46:33 -0800

I don't think I received Yidong's reply of 2008-10-15 for some reason, but I see
it now in the bug database:

> Please run Emacs under a debugger, set a breakpoint at `error',
> trigger the error, and get a backtrace.

I don't know how to do that, and I do not have the C source code anyway, in
general.

I looked at the latest w32fns.c in CVS, however, trying to find a `>' test in
x-create-frame, but I didn't make any progress. I even tried diffing with the
Emacs 22 version of w32fns.c (which works), but there were too many diffs to see
what might be the problem. 

Can't someone please check the x-create-frame code and see where the problem
might be? I'm afraid that the Lisp backtrace I sent is all I can offer. This is
happening in a call to special-display-popup-frame.